package com.liquidnet.common.third.zxlnft.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 3.自然人注册实名（使用nft平台签名)接口
 * @class: RegisterPersonPlatformReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:22
 */
@Data
public class Nft003RegisterPersonPlatformReqDto implements Serializable {
    private static final long serialVersionUID = 1124085864958795175L;
    private String personName;
    /**
     * 用户邮箱(非必填)
     */
    //@Null
    private String email;
    private String mobile;
    private String idCard;
    private Integer cardType;
    private String platformPubKey;
    private String platformSignData;
    private static final Nft003RegisterPersonPlatformReqDto obj = new Nft003RegisterPersonPlatformReqDto();
    public static Nft003RegisterPersonPlatformReqDto getNew() {
        try {
            return (Nft003RegisterPersonPlatformReqDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft003RegisterPersonPlatformReqDto();
        }
    }
}
